xine-lib: vdec_hw_h264_lps_t Struct Reference

xine-lib 1.2.13-20230125hg15249

Data Fields
vdec_hw_h264_lps_t Struct Reference

## Data Fields
uint8_t | nal_ref_idc
uint8_t | nal_unit_type
uint8_t | slice_type
uint8_t | pps_id
uint16_t | frame_num
uint32_t | MaxFrameNum
uint8_t | field_pic_flag
uint8_t | bottom_field_flag
uint16_t | idr_pic_id
uint16_t | pic_order_cnt_lsb
int32_t | delta_pic_order_cnt_bottom
int32_t | delta_pic_order_cnt [2]
uint8_t | redundant_pic_cnt
uint8_t | direct_spatial_mv_pred_flag
uint8_t | num_ref_idx_active_override_flag
uint8_t | num_ref_idx_l0_active_minus1
uint8_t | num_ref_idx_l1_active_minus1
struct { |
uint32_t luma_log2_weight_denom |
uint32_t chroma_log2_weight_denom |
int32_t luma_weight_l0 [32] |
int32_t luma_offset_l0 [32] |
int32_t chroma_weight_l0 [32][2] |
int32_t chroma_offset_l0 [32][2] |
int32_t luma_weight_l1 [32] |
int32_t luma_offset_l1 [32] |
int32_t chroma_weight_l1 [32][2] |
int32_t chroma_offset_l1 [32][2] |
} | pred_weight_table |

## Field Documentation

## ◆ bottom_field_flag

uint8_t vdec_hw_h264_lps_t::bottom_field_flag

Referenced by _vdec_hw_h264_decode_picnum(), _vdec_hw_h264_decode_picture(), _vdec_hw_h264_decode_poc(), _vdec_hw_h264_render(), and _vdec_hw_h264_slice_header().

## ◆ chroma_log2_weight_denom

uint32_t vdec_hw_h264_lps_t::chroma_log2_weight_denom

## ◆ chroma_offset_l0

int32_t vdec_hw_h264_lps_t::chroma_offset_l0[32][2]

## ◆ chroma_offset_l1

int32_t vdec_hw_h264_lps_t::chroma_offset_l1[32][2]

## ◆ chroma_weight_l0

int32_t vdec_hw_h264_lps_t::chroma_weight_l0[32][2]

## ◆ chroma_weight_l1

int32_t vdec_hw_h264_lps_t::chroma_weight_l1[32][2]

## ◆ delta_pic_order_cnt

int32_t vdec_hw_h264_lps_t::delta_pic_order_cnt[2]

Referenced by _vdec_hw_h264_decode_poc(), and _vdec_hw_h264_slice_header().

## ◆ delta_pic_order_cnt_bottom

int32_t vdec_hw_h264_lps_t::delta_pic_order_cnt_bottom

Referenced by _vdec_hw_h264_decode_poc(), and _vdec_hw_h264_slice_header().

## ◆ direct_spatial_mv_pred_flag

uint8_t vdec_hw_h264_lps_t::direct_spatial_mv_pred_flag

## ◆ field_pic_flag

uint8_t vdec_hw_h264_lps_t::field_pic_flag

Referenced by _vdec_hw_h264_check_ref_list(), _vdec_hw_h264_decode_picnum(), _vdec_hw_h264_decode_picture(), _vdec_hw_h264_decode_poc(), _vdec_hw_h264_render(), and _vdec_hw_h264_slice_header().

## ◆ frame_num

uint16_t vdec_hw_h264_lps_t::frame_num

Referenced by _vdec_hw_h264_decode_picture(), _vdec_hw_h264_decode_poc(), _vdec_hw_h264_render(), and _vdec_hw_h264_slice_header().

## ◆ idr_pic_id

uint16_t vdec_hw_h264_lps_t::idr_pic_id

Referenced by _vdec_hw_h264_slice_header().

## ◆ luma_log2_weight_denom

uint32_t vdec_hw_h264_lps_t::luma_log2_weight_denom

## ◆ luma_offset_l0

int32_t vdec_hw_h264_lps_t::luma_offset_l0[32]

## ◆ luma_offset_l1

int32_t vdec_hw_h264_lps_t::luma_offset_l1[32]

## ◆ luma_weight_l0

int32_t vdec_hw_h264_lps_t::luma_weight_l0[32]

## ◆ luma_weight_l1

int32_t vdec_hw_h264_lps_t::luma_weight_l1[32]

## ◆ MaxFrameNum

uint32_t vdec_hw_h264_lps_t::MaxFrameNum

Referenced by _vdec_hw_h264_decode_picnum(), and _vdec_hw_h264_slice_header().

## ◆ nal_ref_idc

uint8_t vdec_hw_h264_lps_t::nal_ref_idc

Referenced by _vdec_hw_h264_decode_poc(), _vdec_hw_h264_render(), _vdec_hw_h264_slice_header(), and _vdec_hw_h264_slice_header_post().

## ◆ nal_unit_type

uint8_t vdec_hw_h264_lps_t::nal_unit_type

Referenced by _vdec_hw_h264_decode_picture(), _vdec_hw_h264_decode_poc(), _vdec_hw_h264_slice_header(), and _vdec_hw_h264_slice_header_post().

## ◆ num_ref_idx_active_override_flag

uint8_t vdec_hw_h264_lps_t::num_ref_idx_active_override_flag

## ◆ num_ref_idx_l0_active_minus1

uint8_t vdec_hw_h264_lps_t::num_ref_idx_l0_active_minus1

Referenced by _vdec_hw_h264_check_ref_list(), _vdec_hw_h264_slice_header(), and _vdec_hw_h264_slice_header_post().

## ◆ num_ref_idx_l1_active_minus1

uint8_t vdec_hw_h264_lps_t::num_ref_idx_l1_active_minus1

Referenced by _vdec_hw_h264_check_ref_list(), _vdec_hw_h264_slice_header(), and _vdec_hw_h264_slice_header_post().

## ◆ pic_order_cnt_lsb

uint16_t vdec_hw_h264_lps_t::pic_order_cnt_lsb

Referenced by _vdec_hw_h264_decode_poc(), and _vdec_hw_h264_slice_header().

## ◆ pps_id

uint8_t vdec_hw_h264_lps_t::pps_id

Referenced by _vdec_hw_h264_check_ref_list(), _vdec_hw_h264_decode_picture(), _vdec_hw_h264_decode_poc(), _vdec_hw_h264_get_sps(), _vdec_hw_h264_render(), _vdec_hw_h264_slice_header(), and _vdec_hw_h264_slice_header_post().

## ◆ [struct]

struct { ... } vdec_hw_h264_lps_t::pred_weight_table

## ◆ redundant_pic_cnt

uint8_t vdec_hw_h264_lps_t::redundant_pic_cnt

Referenced by _vdec_hw_h264_slice_header().

## ◆ slice_type

uint8_t vdec_hw_h264_lps_t::slice_type

Referenced by _vdec_hw_h264_check_ref_list(), _vdec_hw_h264_ref_pic_list_reordering(), _vdec_hw_h264_slice_header(), and _vdec_hw_h264_slice_header_post().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.13/src/video_dec/libvdpau/vdec_hw_h264.c